# How to include below example in pipelines

#First include the code somewhere in your pipeline
#include:
#  - project: 'path/to/this/project'
#     file: 'codeguru-security.gitlab-ci.yml'
#      ref: [git commitid or tag] #recommended: peg to version for stability

#Then call the code by extending the "GitLab CI Function"
#run_code_guru:
#  stage: test
#  extends: .codeguru_security_extension
#  variables:
#    ROLE_ARN: arn:aws:iam::828897360249:role/CodeGuruSecurityGitLabAccessRole #for CodeGuru to run all scans
#    AWS_DEFAULT_REGION: "us-west-2" #for CodeGuru to run all scans
#    AUD: 'https://gitlab.com'

amazon_codeguru_sast:
  image:
    name: public.ecr.aws/l6c8c5q3/codegurusecurity-actions-public:latest #recommended: peg to tag for stability
    entrypoint: [""]
  stage: test
  allow_failure: true
  rules:
    - if: $SAST_DISABLED == 'true' || $SAST_DISABLED == '1'
      when: never
    - if: $CI_COMMIT_REF_SLUG
      exists:
        - '**/*.py'
        - '**/*.js'
        - '**/*.jsx'
        - '**/*.ts'
        - '**/*.tsx'
        - '**/*.java'
  script:
    - |
      if [[ "${GITLAB_FEATURES}" == *"security_dashboard"* ]]; then
        python /usr/app/codeguru/command.py --source_path "." --aws_region ${AWS_REGION} --scan_name CGS-GitLab-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG} --output_file_format "sast"
        cat codeguru-security-results.sast.json
      else
        python /usr/app/codeguru/command.py --source_path "." --aws_region ${AWS_REGION} --scan_name CGS-GitLab-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG} --output_file_format "junit"
        cat codeguru-security-results.junit.xml
      fi
  artifacts:
    reports:
      sast: codeguru-security-results.sast.json
      junit: codeguru-security-results.junit.xml
